> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pages

> Updates a specific page by ID 



## OpenAPI

````yaml PUT /pages/{id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /pages/{id}:
    put:
      description: 'Updates a specific page by ID '
      operationId: updatePages
      requestBody:
        description: Updated details of the page
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatedPageDefinition'
      responses:
        '200':
          description: Page updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    UpdatedPageDefinition:
      type: object
      required:
        - name
        - html
        - capture_credentials
        - capture_passwords
      properties:
        name:
          type: string
          description: Name of the page to be updated
        html:
          type: string
          description: Updated HTML content of the page
        capture_credentials:
          type: boolean
          description: Flag to indicate whether the page should capture credentials
          default: false
        capture_passwords:
          type: boolean
          description: Flag to indicate whether the page should capture passwords
          default: false
    Page:
      type: object
      required:
        - id
        - title
        - content
      properties:
        id:
          type: string
          description: Unique identifier for the page
        title:
          type: string
          description: Title of the page
        content:
          type: string
          description: Content of the page
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````